﻿// ----- Common Button Panel Options
// ----- code by tedGo

var appPreset = window.GetProperty("Buttons appearance preset", 1);
var depthPreset = window.GetProperty("Buttons depth preset", 0);
var btn1Opt = {}, btn2Opt = {}, btnsCol = {}, btn1Siz = {}, btn2Siz = {}, vknbOpt = {};
var bxf, bbw, bbh, by1, by2, rbx = 0;
var p_backcol = RGBA(31, 31, 31, 255);
var btn_panel;

function buttonsOptions() {
	btn1Opt.btn_depth = Math.floor(utils.GetSystemMetrics(0) / 1280 * depthPreset);
	btn1Opt.btn_style = appPreset;
	btn1Opt.font_name = "Arial Black";
	//btn1Opt.font_style = 0;
	btn1Opt.line_width = 1;
	btn1Opt.text_align_h = 1;
	//btn1Opt.text_align_v = 0;
	//btn1Opt.text_onclick_shift = 0;
	//btn1Opt.text_shadow = 0;

	if (btn_panel != 3) {
		btn2Opt.btn_depth = Math.floor(utils.GetSystemMetrics(0) / 1280 * depthPreset);
		btn2Opt.btn_style = appPreset == 1 || appPreset == 3 ? 1 : appPreset;
		//btn2Opt.font_name = "Arial Black";
		//btn2Opt.font_style = 0;
		btn2Opt.line_width = 1;
		//btn2Opt.text_align_h = 1;
		//btn2Opt.text_align_v = 0;
		//btn2Opt.text_onclick_shift = 0;
		//btn2Opt.text_shadow = 0;
	}

	if (btn_panel == 2) {
		vknbOpt.knob_depth = Math.floor(utils.GetSystemMetrics(0) / 1280 * depthPreset);
		vknbOpt.line_width = 1;
	}
}

function buttonsColours() {
	btnsCol.back_down = RGBA(255, 255, 255, 8);
	btnsCol.back_hover = RGBA(255, 255, 255, 16);
	//btnsCol.back_normal = RGBA(0, 0, 0, 0);
	//btnsCol.line_down = RGBA(0, 0, 0, 0);
	//btnsCol.line_hover = RGBA(0, 0, 0, 0);
	btnsCol.line_normal = RGBA(0, 0, 0, 255);
	//btnsCol.shadow_colour = RGB(0, 0, 0);
	//btnsCol.text_down = RGB(0, 0, 0);
	//btnsCol.text_hover = RGB(0, 0, 0);
	btnsCol.text_normal = ui_btntxtcol;

	if (btn_panel == 2) {
		vknbOpt.back_hover = RGBA(255, 255, 255, 16);
		//vknbOpt.back_normal = RGBA(0, 0, 0, 0);
		//vknbOpt.line_hover = RGBA(0, 0, 0, 0);
		vknbOpt.line_normal = RGBA(0, 0, 0, 255);
	}
}

function buttonsSizes() {
	bxf = ww / 16;
	bbw = btn_panel == 3 ? ww - 2 : Math.floor(ww / 8);
	bbh = btn_panel == 3 ? wh - 2 : Math.floor(bbw / 25 * 12);
	by1 = Math.floor(ww / 80 * 7) - 1;
	by2 = wh - bbh - 2;
	rbx = ww - ww / 8 - 1;

	//btn1Siz.arc_size = 0;
	btn1Siz.font_size = bbw * 7 / 50;
	//btn1Siz.func_bottom_pad = 0;
	btn1Siz.func_left_pad = appPreset == 2 ? bbw / 25 : appPreset == 3 ? bbw / 2 - bbh / 4 : 0;
	btn1Siz.func_right_pad = appPreset == 2 ? bbw / 25 : appPreset == 3 ? bbw / 2 - bbh / 4 : 0;
	btn1Siz.func_top_pad = appPreset == 1 ? Math.floor(bbh / 3 * 2) : appPreset == 2 ? Math.ceil(bbh / 2) : appPreset == 3 ? bbh / 2 : 0;
	//btn1Siz.text_x_margin = 0;
	//btn1Siz.text_y_margin = 0;

	if (btn_panel != 3) {
		//btn2Siz.arc_size = 0;
		//btn2Siz.font_size = bbw * 7 / 50;
		//btn2Siz.func_bottom_pad = 0;
		btn2Siz.func_left_pad = appPreset == 2 ? bbw / 25 : 0;
		btn2Siz.func_right_pad = appPreset == 2 ? bbw / 25 : 0;
		//btn2Siz.func_top_pad = 0;
		//btn2Siz.text_x_margin = 0;
		//btn2Siz.text_y_margin = 0;
	}
}