﻿// ----- Get Additional Button Properties
// ----- Code by tedGo and super-gau

function getButtonProperties(keyIsButton) {
	this.AddButton = function() {
		this.BtnName;
		this.Text;
		this.CmdString;
		this.CmdStyle;
		this.Separator;
		this.Exists = false;
	}

	var btnOn = new AddButton();
	btnOn.BtnName = keyIsButton;
	btnOn.Exists = window.GetProperty(btnOn.BtnName, false);
	btnOn.Separator = window.GetProperty(btnOn.BtnName + " X" + repeat("=", 24), repeat("=", 30));

	if (btnOn.Exists) {
		btnOn.Text = window.GetProperty(btnOn.BtnName + " name (up to 10 letters)", btnOn.BtnName.toUpperCase());
		btnOn.CmdString = window.GetProperty(btnOn.BtnName + " command string", "");
		btnOn.CmdStyle = window.GetProperty(btnOn.BtnName + " command style", 0);
	} else {
		window.SetProperty(btnOn.BtnName + " name (up to 10 letters)", null);
		window.SetProperty(btnOn.BtnName + " command string", null);
		window.SetProperty(btnOn.BtnName + " command style", null);
	}

	return btnOn;
}

function AddBtnCmd() {
	var propName = this.funcOption.BtnName + " command style";
	var tmp_style = window.GetProperty(propName);
	var tmp_string = this.funcOption.CmdString;
	var tmp_timer = null;

	if (tmp_style == 0) {
		if (fb.RunMainMenuCommand(tmp_string)) window.SetProperty(propName, 1);
		else if (fb.RunContextCommandWithMetadb(tmp_string, fb.GetSelections(), 8)) window.SetProperty(propName, 2);
		else {
			try {
				eval(tmp_string);
				window.SetProperty(propName, 3);
			} catch(e) {
				vb.MsgBox("Optional button: " + e + "\n\nPlease correct your command string!", vb.vbCritical, "Error");
				window.ShowProperties();
			}
		}
	} else {
		switch (tmp_style) {
			case 1:
				fb.RunMainMenuCommand(tmp_string);
				break;

			case 2:
				fb.RunContextCommandWithMetadb(tmp_string, fb.GetSelections(), 8);
				break;

			case 3:
				try {
					eval(tmp_string);
				} catch(e) {
					fb.trace("Optional button: " + e);
				}
				break;
		}
	}
}