﻿// ----- Get VBScript Input- and MessageBox
// ----- Code by Chris West, adapted by tedGo

function vbBox() {
	var vbe = new ActiveXObject("ScriptControl");
	vbe.Language = "VBScript";

	var constants = "OK,Cancel,Abort,Retry,Ignore,Yes,No,OKOnly,OKCancel,AbortRetryIgnore,YesNoCancel,YesNo,RetryCancel,Critical,Question,Exclamation,Information,DefaultButton1,DefaultButton2,DefaultButton3".split(",");
	for(var i = 0; constants[i]; i++) this["vb" + constants[i]] = vbe.eval("vb" + constants[i]);

	this.InputBox = function(prompt, title, msg) {
		return vbe.eval('InputBox(' + [
			this.toVBStr(prompt),
			this.toVBStr(title),
			this.toVBStr(msg)
		].join(",") + ')');
	};
 
	this.MsgBox = function(prompt, buttons, title) {
		return vbe.eval('MsgBox(' + [
			this.toVBStr(prompt),
			buttons != null ? buttons : "Empty",
			this.toVBStr(title)
		].join(",") + ')');
	};
 
	this.toVBStr = function(str) {
		return str != null ? 'Unescape("' + escape(str + "") + '")' : "Empty";
	}
}

var vb = new vbBox();